> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Build Transaction



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/quote/build
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/quote/build:
    post:
      tags:
        - quote
      summary: Build Transaction
      operationId: build_transaction_v1_quote_build_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BuildRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuildResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BuildRequest:
      properties:
        from_chain_id:
          type: integer
          title: From Chain Id
        from_token:
          type: string
          title: From Token
        from_amount:
          type: string
          title: From Amount
        vault_id:
          type: string
          title: Vault Id
        user_address:
          type: string
          title: User Address
        slippage:
          type: number
          title: Slippage
          default: 0.03
        referrer:
          type: string
          title: Referrer
          default: '0x0000000000000000000000000000000000000000'
        referrer_handle:
          type: string
          title: Referrer Handle
          default: ''
        parent_tracking_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Tracking Id
        preferred_bridge:
          anyOf:
            - type: string
            - type: 'null'
          title: Preferred Bridge
        partner_id:
          type: string
          title: Partner Id
          default: ''
        partner_type:
          type: integer
          title: Partner Type
          default: 0
      type: object
      required:
        - from_chain_id
        - from_token
        - from_amount
        - vault_id
        - user_address
      title: BuildRequest
    BuildResponse:
      properties:
        transaction_request:
          $ref: '#/components/schemas/TransactionRequest'
        approval:
          anyOf:
            - $ref: '#/components/schemas/ApprovalData'
            - type: 'null'
        tracking:
          $ref: '#/components/schemas/TrackingInfo'
        tracking_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Id
        two_step:
          type: boolean
          title: Two Step
          default: false
        deposit_tx:
          anyOf:
            - $ref: '#/components/schemas/DepositStep'
            - type: 'null'
      type: object
      required:
        - transaction_request
        - tracking
      title: BuildResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransactionRequest:
      properties:
        to:
          type: string
          title: To
        data:
          type: string
          title: Data
        value:
          type: string
          title: Value
        chain_id:
          type: integer
          title: Chain Id
        gas_limit:
          anyOf:
            - type: string
            - type: 'null'
          title: Gas Limit
      type: object
      required:
        - to
        - data
        - value
        - chain_id
      title: TransactionRequest
    ApprovalData:
      properties:
        token_address:
          type: string
          title: Token Address
        spender_address:
          type: string
          title: Spender Address
        amount:
          type: string
          title: Amount
      type: object
      required:
        - token_address
        - spender_address
        - amount
      title: ApprovalData
    TrackingInfo:
      properties:
        from_chain_id:
          type: integer
          title: From Chain Id
        to_chain_id:
          type: integer
          title: To Chain Id
        bridge:
          anyOf:
            - type: string
            - type: 'null'
          title: Bridge
        lifi_explorer:
          anyOf:
            - type: string
            - type: 'null'
          title: Lifi Explorer
      type: object
      required:
        - from_chain_id
        - to_chain_id
      title: TrackingInfo
    DepositStep:
      properties:
        transaction_request:
          $ref: '#/components/schemas/TransactionRequest'
        approval:
          anyOf:
            - $ref: '#/components/schemas/ApprovalData'
            - type: 'null'
      type: object
      required:
        - transaction_request
      title: DepositStep
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````